## solomon.tar.bz2

=== Makefile ===
# dirs
IS_SVN := $(shell svn info 2>/dev/null 1>&2; echo $$?)

ifeq ($(IS_SVN), 0)
	ARCADIA_DIR := $(shell svn info --show-item wc-root)
else
	ARCADIA_DIR := $(shell arc root)
endif


UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
	SED_INPLACE=sed -i ''
else ifeq ($(UNAME), Linux)
	SED_INPLACE=sed -i
endif

TARGET_DIR := target
IDEA_DIR := $(or ${SOLOMON_IDEA_DIR},${SOLOMON_IDEA_DIR},${HOME}/.solomon/idea)
CLION_DIR := $(or ${SOLOMON_CLION_DIR},${SOLOMON_CLION_DIR},${HOME}/.solomon/clion)
VSCODE_CPP_DIR := $(or ${SOLOMON_VSCODE_CPP_DIR},${SOLOMON_VSCODE_CPP_DIR},${HOME}/.solomon/vscode/cpp)
GOLAND_DIR := $(or ${SOLOMON_GOLAND_DIR},${SOLOMON_GOLAND_DIR},${HOME}/.solomon/goland)
IDEA_PRJ_FILES_PRFX := $(shell basename $(IDEA_DIR))

# tools
YA := $(ARCADIA_DIR)/ya
JAVA ?= $(YA) tool java15

# Example of adding extra targets:
# $ SOLOMON_EXTRA_CPP_TARGETS="../junk/ivanzhukov/a ../junk/ivanzhukov/b" make ide-clion

CPP_TYPES := PROGRAM|UNITTEST_FOR|GTEST|DLL|FUZZ|G_BENCHMARK|Y_BENCHMARK
CPP_TARGETS := $(SOLOMON_EXTRA_CPP_TARGETS) agent sysmon libs/cpp protos services tools

JAVA_TARGETS := configs libs services graphite tools misc
GO_TARGETS := tools libs/go

help:
	printf "Usage:  make <target>\n\n\
    \rAvailable targets:\n\
    ide-idea               - create an IntelliJ IDEA project\n\n\
    ide-idea-clean         - remove directory with an IntelliJ IDEA project\n\n\
    re-ide-idea            - recreate an IntelliJ IDEA project (CAUTION! it will drop\n\
                             $(IDEA_DIR) folder and all files in it)\n\n\
    ide-clion              - create a CLion ide project\n\n\
    ide-clion-clean        - remove directory with a CLion ide project\n\n\
    re-ide-clion           - recreate a Clion ide project (CAUTION! it will drop\n\
                             $(CLION_DIR) folder and all files in it)\n\n\
    ide-vscode-cpp         - create a VSCode cpp ide project\n\n\
    ide-vscode-cpp-clean   - remove directory with a VSCode cpp ide project\n\n\
    ide-goland             - create an Goland project\n\n\
    ide-goland-clean       - remove directory with a Goland ide project\n\n\
    re-ide-goland          - recreate a Goland ide project (CAUTION! it will drop\n\
					         $(GOLAND_DIR) folder and all files in it)\n\n\
    protos-idea            - force protobufs update in IDEA\n\n\
    protos-clion           - force protobufs update in Clion\n\n\
    protos-goland          - force protobufs update in Goland\n\n\
    style-java             - run java codestyle analyzer\n\n\
    style-cpp              - run cpp codestyle analyzer\n\n\
    build-java             - build java targets\n\n\
    build-cpp              - build cpp targets\n\n\
    build-go               - build go targets\n\n\
    help                   - print this help message. If you forget target name then\n\
                             write 'make ' and hit <TAB> button twice. To see all\n\
                             executed commands add VERBOSE=1 in front of make:\n\
                             $$ VERBOSE=1 make build\n\n\n\
    \rYou can override default directory where IDE projects will be generated.\n\
	\rUse following environment variables:\n\
    * SOLOMON_IDEA_DIR - for IntelliJ IDEA project direcotry\n\
    * SOLOMON_CLION_DIR - for CLion project direcotry\n\
    * SOLOMON_GOLAND_DIR - for Goland project direcotry\n\
    \r"

$(IDEA_DIR):
	echo "Create directory $@"
	mkdir -p $@

$(CLION_DIR):
	echo "Create directory $@"
	mkdir -p $@

$(GOLAND_DIR):
	echo "Create directory $@"
	mkdir -p $@

ide-idea: $(IDEA_DIR)
	echo "Checkout dependencies"
	# Hack to fix DEVTOOLSSUPPORT-6897
	mkdir -p $(IDEA_DIR)/solomon/protos $(IDEA_DIR)/solomon/docker $(IDEA_DIR)/solomon/packages $(IDEA_DIR)/solomon/graphite/configs $(IDEA_DIR)/solomon/configs
	$(YA) tool ag -w 'JAVA_PROGRAM|JTEST|JAVA_LIBRARY' -l -G ya.make $(JAVA_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) make --checkout -j0 -DJDK_VERSION=15
	echo "Create IntelliJ IDEA project"
	$(YA) tool ag -w 'JAVA_PROGRAM|JTEST|JAVA_LIBRARY' -l -G ya.make $(JAVA_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) ide idea \
			-DJDK_VERSION=15 \
			-DJDK_LANGUAGE_LEVEL=15_PREVIEW \
			-DUSE_PREBUILT_TOOLS \
			--host-platform-flag=USE_PREBUILT_TOOLS \
			--project-root=$(IDEA_DIR) \
			--directory-based \
			--group-modules=flat \
			--iml-in-project-root \
			--auto-exclude-symlinks \
			--with-common-jvm-args-in-junit-template \
			--external-content-root-module protos \
			--external-content-root-module configs \
			--external-content-root-module graphite/configs \
			--external-content-root-module docker \
			--external-content-root-module packages \
			--external-content-root-module scripts
	find $(IDEA_DIR) -name '*.iml' -type 'f' | xargs $(SED_INPLACE) 's/\"JDK_15\"/\"JDK_15_PREVIEW\"/g'
	echo "Now you can open project $(IDEA_DIR)/"

ide-idea-clean:
	echo "Drop IntelliJ IDEA project"
	$(RM) -r $(IDEA_DIR)

re-ide-idea: ide-idea-clean ide-idea
	which idea > /dev/null && idea $(IDEA_DIR)/solomon.ipr

protos-idea:
	find $(IDEA_DIR)/ -name '*proto*.jar' -exec touch {} \;

protos-clion:
	$(YA) tool ag -w '$(CPP_TYPES)' -l -G ya.make $(CPP_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) make --host-platform-flag=USE_PREBUILT_TOOLS \
			--add-result .pb.h \
			--add-result .pb.cc \
			--keep-going \
			--replace-result

protos-goland:
	$(YA) tool ag -w 'GO_PROGRAM|GO_TEST_FOR|GO_LIBRARY' -l -G ya.make $(GO_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) make --host-platform-flag=USE_PREBUILT_TOOLS \
			--add-result .go \
			--replace-result \
			--keep-going \
			--replace-result

style-java:
	$(YA) make -tA --style \
		-DUSE_PREBUILT_TOOLS \
		-DJDK_VERSION=15 \
		--host-platform-flag=USE_PREBUILT_TOOLS \
		--profile-test-tool JAVA_STYLE $(JAVA_TARGETS)

style-cpp:
	$(YA) clang-tidy

build-java:
	$(YA) tool ag -w JAVA_PROGRAM -l -G ya.make $(JAVA_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) make -DJDK_VERSION=15 -DUSE_PREBUILT_TOOLS --host-platform-flag=USE_PREBUILT_TOOLS

build-cpp:
	$(YA) tool ag -w 'PROGRAM|GTEST' -l -G ya.make $(CPP_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) make

ide-clion:
	echo "Checkout dependencies"
	$(YA) make --checkout -j0 $(CPP_TARGETS)
	echo "Create CLion project for targets:"
	echo $(CPP_TARGETS) | tr ' ' '\n' | cat -n
	$(YA) tool ag -w '$(CPP_TYPES)' -l -G ya.make $(CPP_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) ide clion -T=SolomonCPP -P=$(CLION_DIR) --make-args="--no-src-links"
	echo "Now you can open project $(CLION_DIR)/CMakeLists.txt"

ide-clion-clean:
	echo "Drop CLion project"
	$(RM) -r $(CLION_DIR)

re-ide-clion: ide-clion-clean ide-clion
	which clion > /dev/null && clion $(CLION_DIR)/CMakeLists.txt

ide-vscode-cpp:
	echo "Checkout dependencies"
	$(YA) make --checkout -j0 $(CPP_TARGETS)
	echo "Create a VSCode cpp project for targets:"
	echo $(CPP_TARGETS) | tr ' ' '\n' | cat -n
	$(YA) tool ag -w '$(CPP_TYPES)' -l -G ya.make $(CPP_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) ide vscode-clangd -P=$(VSCODE_CPP_DIR) --use-arcadia-root --files-visibility=all -o=$(VSCODE_CPP_DIR)/build
	echo "Now you can open project $(VSCODE_CPP_DIR)"

ide-vscode-cpp-clean:
	echo "Dropping a VSCode cpp project"
	$(RM) -r $(VSCODE_CPP_DIR)

ide-goland: protos-goland
	echo "Checkout dependencies"
	$(YA) make --checkout -j0 $(GO_TARGETS)
	echo "Create Goland project for targets:"
	echo $(GO_TARGETS) | tr ' ' '\n' | cat -n
	$(YA) tool ag -w 'GO_PROGRAM|GO_TEST_FOR|GO_LIBRARY' -l -G ya.make $(GO_TARGETS) | sed 's|/ya.make||' \
		| xargs $(YA) ide goland -P=$(GOLAND_DIR)
	echo "Now you can open project $(GOLAND_DIR)"

ide-goland-clean:
	echo "Drop Goland project"
	$(RM) -r $(GOLAND_DIR)

re-ide-goland: ide-goland-clean ide-goland
	which goland > /dev/null && goland $(GOLAND_DIR)

.PHONY: ide-idea ide-idea-clean re-ide-idea protos-idea style-java build-java
.PHONY: ide-clion ide-clion-clean re-ide-clion protos-clion
.PHONY: ide-vscode-app ide-vscode-cpp-clean
.PHONY: ide-goland ide-goland-clean re-ide-goland protos-goland

ifndef VERBOSE
.SILENT:
endif

=== alerting/Makefile ===
# dirs
ARCADIA_DIR := $(shell pwd | sed 's|/arcadia/.*|/arcadia|')

# tools
YA := $(ARCADIA_DIR)/ya


DOCKER_URL:=registry.yandex.net/${USER}/solomon-alert:latest

all: docker clean

build:
	$(YA) make --no-src-links -o target

docker: clean build
	echo "Building $(DOCKER_URL)"
	docker build --tag $(DOCKER_URL) --tag solomon-alert --file docker/Dockerfile .

clean:
	rm -rf target

push: docker
	echo "Pushing $(DOCKER_URL)"
	docker push $(DOCKER_URL)

=== mega-graphite-web/requirements.txt ===
# This is a PIP requirements file.
# To setup a dev environment:
#
#   If you use virtualenvwrapper, you can use the misc/virtualenvwrapper hook scripts to
#   automate most of the following commands
#
#   easy_install virtualenv
#   virtualenv --distribute --no-site-packages --prompt "(graphite venv) " .venv
#   source .venv/bin/activate
#
#   brew install cairo && brew link cairo # on OSX
#   sudo apt-get install libcairo2-dev    # on Ubuntu
#   pip install -r requirements.txt
#
#   mkdir -p .venv/storage/ceres .venv/storage/log/carbon-cache  .venv/conf
#   touch .venv/conf/carbon.conf .venv/conf/storage-schemas.conf
#   cp conf/graphTemplates.conf.example .venv/conf/graphTemplates.conf
#   export GRAPHITE_ROOT=`pwd` GRAPHITE_STORAGE_DIR=`pwd`/.venv/storage/ GRAPHITE_CONF_DIR=`pwd`/.venv/conf/
#
#   git clone https://github.com/graphite-project/carbon.git ../carbon
#   ../carbon/bin/carbon-cache.py start
#   ../carbon/bin/carbon-cache.py status
#
#   mkdir -p .venv/storage/log/webapp /opt/graphite/storage/
#   sudo chown -R $USER: /opt/graphite
#   .venv/bin/django-admin.py syncdb --settings=graphite.settings --pythonpath=webapp
#   bin/run-graphite-devel-server.py ./
#   # or
#   # cd webapp/graphite && $GRAPHITE_ROOT/.venv/bin/gunicorn_django -b 127.0.0.1:8080
#
# To clean up:
#
#   carbon/bin/carbon-cache.py stop
#   unset GRAPHITE_ROOT GRAPHITE_STORAGE_DIR GRAPHITE_CONF_DIR
#   deactivate
#

Django>=1.4
Twisted==11.1.0
python-memcached==1.47
txAMQP==0.4
simplejson==2.1.6
django-tagging==0.3.1
gunicorn
pytz
pyparsing==1.5.7
http://cairographics.org/releases/py2cairo-1.8.10.tar.gz
git+git://github.com/graphite-project/whisper.git#egg=whisper
git+git://github.com/graphite-project/ceres.git#egg=ceres

=== cloud/token/requirements.txt ===
asn1crypto==0.24.0
cffi==1.12.2
cryptography==2.2.2
idna==2.8
protobuf==3.7.0
pycparser==2.19
six==1.12.0
yc-auth-token==0.6.1
yc-service-account==0.0.5

=== mega-graphite-web/docs/requirements.txt ===
## Requirements for documentation
Django>=1.4
django-tagging==0.3.1
sphinx
sphinx_rtd_theme
pytz
git+git://github.com/graphite-project/whisper.git#egg=whisper

=== co2/debian/changelog ===
yandex-solomon-co2 (0.5) unstable; urgency=medium

  * Rm special symbols from token
  * Fix invalid ts in push

 -- Vladimir Gordiychuk <gordiychuk@yandex-team.ru>  Thu, 15 Oct 2020 17:01:09 +0300

yandex-solomon-co2 (0.4) unstable; urgency=medium

  * Upgrade dependency on yandex-openjdk11

 -- Vladimir Gordiychuk <gordiychuk@yandex-team.ru>  Thu, 15 Oct 2020 12:19:25 +0300

yandex-solomon-co2 (0.3) unstable; urgency=medium

  * Round timestamp by push grid
  * Upgrade dependency on java 11
  * Push only in prod
  * Authorized push

 -- Vladimir Gordiychuk <gordiychuk@yandex-team.ru>  Wed, 14 Oct 2020 15:57:47 +0300

yandex-solomon-co2 (0.2) unstable; urgency=low

  * rebuild

 -- Sergey Polovko <jamel@yandex-team.ru>  Wed, 28 Mar 2018 16:06:14 +0300

yandex-solomon-co2 (0.1) unstable; urgency=low

  * Initial release.

 -- Maksim Leonov <nohttp@yandex-team.ru>  Thu, 12 Jan 2017 09:11:51 +0300

=== mega-graphite-web/debian/changelog ===
mega-graphite-web (0.1.14.8-sp) unstable; urgency=medium

  * Adapter old graphite-ch for use with stockpile storage

 -- Leonov Maksim <nohttp@yandex-team.ru>  Thu, 23 Jun 2016 16:47:22 +0300

mega-graphite-web (0.1.14.8) unstable; urgency=medium

  * fixed bug in standard find, for compat with other find changes 
  * fixed get_intervals bug in remote_storage.py

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Tue, 02 Feb 2016 11:40:25 +0300

mega-graphite-web (0.1.14.7) unstable; urgency=medium

  * yabs-ceres remover from deplist 

 -- Anna Sysoeva <antrue@yandex-team.ru>  Thu, 28 Jan 2016 16:23:14 +0300

mega-graphite-web (0.1.14.6) unstable; urgency=medium

  * fixed step bug in clickhouse module 
  * changed match to search in retention pattern scan 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Wed, 13 Jan 2016 14:07:14 +0300

mega-graphite-web (0.1.14.5) precise; urgency=low

  * fixed empty legend render bug

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 27 Nov 2015 17:25:16 +0300

mega-graphite-web (0.1.14.4) unstable; urgency=low

  * fixed clickhouse error handling in fetch 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 27 Nov 2015 17:00:44 +0300

mega-graphite-web (0.1.14.3) unstable; urgency=low

  * merged timeout on render and master-stable patches 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 27 Nov 2015 15:33:12 +0300

mega-graphite-web (0.1.14.1) unstable; urgency=low

  * now if graphite can't fetch any datapoints, it will return Nan's

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 13 Nov 2015 20:02:44 +0300

mega-graphite-web (0.1.14) unstable; urgency=low

  * added timeout on render 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Thu, 17 Sep 2015 12:30:24 +0300

mega-graphite-web (0.1.13.3) unstable; urgency=low

  * backport for patch "Remove superfluous grid line for log scale"

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 13 Nov 2015 19:57:25 +0300

mega-graphite-web (0.1.13.2) unstable; urgency=low

  * fixed No Data handling 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 11 Sep 2015 18:31:31 +0300

mega-graphite-web (0.1.13.1) unstable; urgency=low

  * added query optimization 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 11 Sep 2015 17:28:55 +0300

mega-graphite-web (0.1.12.1) unstable; urgency=low

  * one more fix for conductor groups with single host 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 28 Aug 2015 16:31:04 +0300

mega-graphite-web (0.1.12) unstable; urgency=low

  * merged patches:
  *  - one-host groups fix  
  *  - Fix empty metrics & fix crush saved cache 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Wed, 26 Aug 2015 15:02:22 +0300

mega-graphite-web (0.1.11) unstable; urgency=low

  * fixed empty metrics fetch

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Mon, 13 Jul 2015 18:53:53 +0300

mega-graphite-web (0.1.10.5) unstable; urgency=low

  * fixed tree encode bug 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Mon, 15 Jun 2015 12:15:38 +0300

mega-graphite-web (0.1.10.4) unstable; urgency=medium

  * add buttons 

 -- Anna Sysoeva <antrue@yandex-team.ru>  Fri, 10 Apr 2015 19:53:04 +0300

mega-graphite-web (0.1.10.3) unstable; urgency=medium

  * added map, reduce render functions 

 -- Anna Sysoeva <antrue@yandex-team.ru>  Fri, 10 Apr 2015 19:05:34 +0300

mega-graphite-web (0.1.10.2) unstable; urgency=low

  * fixed cache for conductor api

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Thu, 19 Mar 2015 15:44:33 +0300

mega-graphite-web (0.1.10.1) unstable; urgency=low

  * fixed post body output 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Tue, 17 Mar 2015 19:10:08 +0300

mega-graphite-web (0.1.10.0) unstable; urgency=low

  * fixed graphlot 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Mon, 02 Mar 2015 19:27:37 +0300

mega-graphite-web (0.1.9.8) unstable; urgency=low

  * restored useCache option  

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Mon, 02 Mar 2015 19:15:28 +0300

mega-graphite-web (0.1.9.7) unstable; urgency=low

  * fixed request_body typo 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Mon, 02 Mar 2015 18:29:02 +0300

mega-graphite-web (0.1.9.6) unstable; urgency=low

  * moved request body to the right place
  * added start_time and end_time to log 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Mon, 02 Mar 2015 16:24:45 +0300

mega-graphite-web (0.1.9.5) unstable; urgency=low

  * added request body to log 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 27 Feb 2015 14:30:38 +0300

mega-graphite-web (0.1.9.4) unstable; urgency=low

  * added log dir creation in init script 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Thu, 26 Feb 2015 15:54:58 +0300

mega-graphite-web (0.1.9.3) unstable; urgency=low

  * added cgroup expander  

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Tue, 24 Feb 2015 13:30:08 +0300

mega-graphite-web (0.1.9.2) unstable; urgency=low

  * added sortByNameR reversed 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Fri, 20 Feb 2015 16:06:18 +0300

mega-graphite-web (0.1.9.1) unstable; urgency=low

  * added request keys 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Thu, 12 Feb 2015 23:06:56 +0300

mega-graphite-web (0.1.9.0) unstable; urgency=low

  * optimization for multi queries 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Wed, 11 Feb 2015 16:49:50 +0300

mega-graphite-web (0.1.8.1) unstable; urgency=low

  * fixed sql 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Mon, 02 Feb 2015 19:42:35 +0300

mega-graphite-web (0.1.8.0) unstable; urgency=low

  * added dedublication code 

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Mon, 02 Feb 2015 18:25:55 +0300

mega-graphite-web (0.1.7.4) unstable; urgency=low

  * changed http to https in debug template

 -- Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>  Tue, 20 Jan 2015 15:41:15 +0300



=== ps-graphite-client-conf/debian/changelog ===
ps-graphite-client-conf (0.14-0) unstable; urgency=low

  * Added new servers to send metrics to (SOLOMON-1635)

 -- Maksim Leonov <nohttp@yandex-team.ru>  Mon, 26 Sep 2016 19:11:58 +0300

ps-graphite-client-conf (0.13-2) unstable; urgency=medium

  * Increment version (MONADMIN-367: Added option UNIQ_MONITORING_FILE)

 -- Artem khokhlov <chrono@yandex-team.ru>  Fri, 11 Mar 2016 14:12:03 +0300

ps-graphite-client-conf (0.13-1) unstable; urgency=medium

  * MONADMIN-367: Added option UNIQ_MONITORING_FILE

 -- Artem khokhlov <chrono@yandex-team.ru>  Fri, 11 Mar 2016 13:55:19 +0300

ps-graphite-client-conf (0.13-0) unstable; urgency=low

  * Switch to send metrics via LB

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Mon, 05 Oct 2015 14:35:36 +0300

ps-graphite-client-conf (0.12-2) unstable; urgency=low

  * Remove back yandex-hamster-check-systems from deps, that was not
    really good idea

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Thu, 28 May 2015 04:03:10 +0300

ps-graphite-client-conf (0.12-1) unstable; urgency=low

  * Add yandex-hamster-check-systems into deps

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 14 Apr 2015 13:16:17 +0300

ps-graphite-client-conf (0.12-0) unstable; urgency=low

  * Switch to new cluster graphite-ch

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Mon, 30 Mar 2015 10:29:37 +0300

ps-graphite-client-conf (0.11-1) unstable; urgency=low

  * Enable ipv6

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Fri, 05 Dec 2014 15:32:19 +0300

ps-graphite-client-conf (0.11-0) unstable; urgency=low

  * Version up to fix RHEL spec

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Sun, 05 Oct 2014 14:23:47 +0400

ps-graphite-client-conf (0.10.3.1) unstable; urgency=low

  * Logrotate fix

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 27 May 2014 12:52:01 +0400

ps-graphite-client-conf (0.10.3) unstable; urgency=low

  * Update logrotate config

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 27 May 2014 10:55:46 +0400

ps-graphite-client-conf (0.10.2) unstable; urgency=low

  * Version bump

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 14 Jan 2014 11:41:15 +0400

ps-graphite-client-conf (0.10.1) precise; urgency=low

  * Version bump

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 14 Jan 2014 11:27:09 +0400

ps-graphite-client-conf (0.10) precise; urgency=low

  * Add log rotation

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 14 Jan 2014 11:04:31 +0400

ps-graphite-client-conf (0.9-3) unstable; urgency=low

  * Version bump to restart senders due to change DNS-name of ps-
    graphite01g

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Mon, 13 Jan 2014 12:29:40 +0400

ps-graphite-client-conf (0.9-2) unstable; urgency=low

  * Version bump

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Fri, 10 Jan 2014 16:15:35 +0400

ps-graphite-client-conf (0.9-1) unstable; urgency=low

  * Increase limit

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Fri, 27 Dec 2013 15:32:24 +0400

ps-graphite-client-conf (0.8-1) unstable; urgency=low

  * Increase metric limit
  * Fix RPM spec file again and again

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Wed, 25 Dec 2013 12:30:02 +0400

ps-graphite-client-conf (0.6) unstable; urgency=low

  * bump

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Tue, 17 Dec 2013 12:45:21 +0400

ps-graphite-client-conf (0.5) unstable; urgency=low

  * Increase metric limit

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Sat, 14 Dec 2013 20:39:02 +0400

ps-graphite-client-conf (0.4) unstable; urgency=low

  * Update debian/control

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Fri, 13 Dec 2013 05:48:38 +0400

ps-graphite-client-conf (0.3) unstable; urgency=low

  * Update client conf

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 10 Dec 2013 12:37:01 +0400

ps-graphite-client-conf (0.2) unstable; urgency=low

  * Add monitoring config

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Sat, 09 Nov 2013 11:12:45 +0400

ps-graphite-client-conf (0.1) unstable; urgency=low

  * Initial release

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Fri, 08 Nov 2013 13:52:11 +0400

=== yandex-monlib-python/debian/changelog ===
yandex-monlib-python (1.1.0) unstable; urgency=medium

  * Python3 compatibility

 -- Sergey Polovko <jamel@yandex-team.ru>  Fri, 27 Nov 2020 13:45:32 +0300

yandex-monlib-python (1.0.0) unstable; urgency=medium

  * Initial release;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Fri, 19 Oct 2018 12:15:00 +0300

=== yandex-monlib-python3/debian/changelog ===
yandex-monlib-python (1.1.1) unstable; urgency=medium

  * decrease python version in dependencies

 -- Sergey Polovko <jamel@yandex-team.ru>  Mon, 30 Nov 2020 14:18:36 +0300

=== yandex-solomon-agent-bin/debian/changelog ===
yandex-solomon-agent-bin (1:18.1) unstable; urgency=medium

  * Add info about the Israel cluster (SOLOMON-8682);
  * Propagate project, cluster and service info in push request headers (MSI-1067);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Wed, 08 Jun 2022 14:56:12 +0300

yandex-solomon-agent-bin (1:18.0) unstable; urgency=medium

  * Prevent SIGSEGV in py-plugins which use ctypes (CLOUD-84697);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Wed, 10 Nov 2021 17:56:27 +0300

yandex-solomon-agent-bin (1:17.9) unstable; urgency=medium

  * Backport pymalloc alignment (CLOUD-84697);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Mon, 08 Nov 2021 15:20:44 +0300

yandex-solomon-agent-bin (1:17.8) unstable; urgency=medium

  * Send only a specified Accept header value (SOLOMON-7741);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 15 Oct 2021 18:12:29 +0300

yandex-solomon-agent-bin (1:17.7) unstable; urgency=medium

  * Don't renew IAM token too often (SOLOMON-7452);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 20 Aug 2021 17:36:39 +0300

yandex-solomon-agent-bin (1:17.6) unstable; urgency=medium

  * More histogram buckets for response time;
  * Use a proper separators in the Accept header (SOLOMON-7403);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Mon, 16 Aug 2021 11:44:56 +0300

yandex-solomon-agent-bin (1:17.5) unstable; urgency=medium

  * Really allow dots in lables name(MONSUPPORT-488);

 -- Aleksei Trushkin <alextrushkin@yandex-team.ru>  Wed, 23 Jun 2021 16:38:11 +0300

yandex-solomon-agent-bin (1:17.4) unstable; urgency=medium

  * Jitter for push (SOLOMON-7082);

 -- Vladimir Gordiychuk <gordiychuk@yandex-team.ru>  Tue, 15 Jun 2021 17:14:53 +0300

yandex-solomon-agent-bin (1:17.3) unstable; urgency=medium

  * Use tcmalloc on Linux (SOLOMON-6680);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 26 Feb 2021 13:58:39 +0300

yandex-solomon-agent-bin (1:17.2) unstable; urgency=medium

  * Fix HTTP headers repetition (SOLOMON-6293);
  * Fix a potential XSS vulnerability (CLOUD-55275);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 22 Jan 2021 14:14:45 +0300

yandex-solomon-agent-bin (1:17.1) unstable; urgency=medium

  * Include dnspython lib into the build (SOLOMON-6170);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Tue, 03 Nov 2020 19:24:07 +0300

yandex-solomon-agent-bin (1:17.0) unstable; urgency=medium

  * Use https for all known endpoints (SOLOMON-6026);
  * Add inode metrics (SOLOMON-5064);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 09 Oct 2020 17:21:51 +0300

yandex-solomon-agent-bin (1:16.9) unstable; urgency=medium

  * Retrieve an IAM token from vm's info (SOLOMON-5837);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Tue, 08 Sep 2020 00:22:24 +0300

yandex-solomon-agent-bin (1:16.8) unstable; urgency=medium

  * Multishard pulling for GPN (SOLOMON-4112);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Wed, 02 Sep 2020 12:46:47 +0300

yandex-solomon-agent-bin (1:16.7) unstable; urgency=medium

  * Fix filesystem metrics (SOLOMON-5729);
  * Fix parsing json common parts (SOLOMON-5709);
  * Do not report max value in systemd metrics (SOLOMON-5733);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 26 Jun 2020 18:37:26 +0300

yandex-solomon-agent-bin (1:16.6) unstable; urgency=medium

  * Ignore the limit parameter on pull (SOLOMON-5680);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 05 Jun 2020 01:10:06 +0300

yandex-solomon-agent-bin (1:16.5) unstable; urgency=medium

  * Use autoregenerating tokens in the Push mode (SOLOMON-5084);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Mon, 01 Jun 2020 14:58:25 +0300

yandex-solomon-agent-bin (1:16.4) unstable; urgency=medium

  * Update the httpClient.requestsInFlight metric (SOLOMON-5643);
  * Add an httpClient.requestsInFlightLimit metric (SOLOMON-5643);
  * Support request queue limiting (SOLOMON-5479);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Wed, 27 May 2020 12:01:10 +0300

yandex-solomon-agent-bin (1:16.3) unstable; urgency=medium

  * Fix nans in EWMA metrics (SOLOMON-5516);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Tue, 19 May 2020 20:57:48 +0300

yandex-solomon-agent-bin (1:16.2) unstable; urgency=medium

  * Support HIST aggregation (SOLOMON-5469);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 15 May 2020 18:06:03 +0300

yandex-solomon-agent-bin (1:16.1) unstable; urgency=medium

  * forbid http protocol upgrade (SOLOMON-5593)

 -- Sergey Polovko <jamel@yandex-team.ru>  Tue, 12 May 2020 18:13:32 +0300

yandex-solomon-agent-bin (1:16.0) unstable; urgency=medium

  * Rebuild

 -- Sergey Polovko <jamel@yandex-team.ru>  Thu, 26 Mar 2020 12:05:15 +0300

yandex-solomon-agent-bin (1:15.9) unstable; urgency=medium

  * SOLOMON-5305 Fix the case when two original shards write into a single overriden shard;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Mon, 2 Mar 2020 14:42:00 +0300

yandex-solomon-agent-bin (1:15.8) unstable; urgency=medium

  * Fix OAuth token parsing (SOLOMON-5230);
  * Add an option for not appending the host label (SOLOMON-5277);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Tue, 25 Feb 2020 13:56:24 +0300

yandex-solomon-agent-bin (1:15.7) unstable; urgency=medium

  * Support agent registration in Solomon (SOLOMON-4291);
  * Allow ShardKeyOverride in pull mode (SOLOMON-5147);

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Tue, 28 Jan 2020 11:13:35 +0300

yandex-solomon-agent-bin (1:15.6) unstable; urgency=medium

  * Support a bind before connect trick (SOLOMON-4976);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Thu, 19 Dec 2019 17:13:35 +0300

yandex-solomon-agent-bin (1:15.5) unstable; urgency=medium

  * Don't reload modules that haven't changed (SOLOMON-5032);

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Mon, 16 Dec 2019 13:38:10 +0300

yandex-solomon-agent-bin (1:15.4) unstable; urgency=medium

  * Fix the freeze on logging errors (SOLOMON-4931);
  * Support custom HTTP headers and the POST method in HttpPull (SOLOMON-4853);



=== yandex-solomon-bind-exporter-bin/yandex-solomon-bind-exporter-bin/debian/changelog ===
yandex-solomon-bind-exporter-bin (0.4.0-8253146) unstable; urgency=low

  * r8253146 add bind-exporter. Initial commit

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Wed, 09 Jun 2021 17:03:45 +0300

=== yandex-solomon-jaeger-bin/yandex-solomon-jaeger-bin/debian/changelog ===
yandex-solomon-jaeger-bin (1.25.0-1.5.1-8503463) unstable; urgency=low

  * r8503463 update jaeger bins. SOLOMON-7374

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Mon, 09 Aug 2021 16:49:17 +0300

yandex-solomon-jaeger-bin (1.21.0-1.4.1-7664018) unstable; urgency=low

  * r7664018 jaeger binaries. Initial commit

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Fri, 11 Dec 2020 17:24:22 +0300

=== yandex-solomon-nginx-bin/yandex-solomon-nginx-bin/debian/changelog ===
yandex-solomon-nginx-bin (1.21.3-8641725) unstable; urgency=low

  * r8641725 bump to 1.21.3 nginx. SOLOMON-7611

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Fri, 17 Sep 2021 17:31:36 +0300

yandex-solomon-nginx-bin (1.17.7-6220642) unstable; urgency=low

  * r6220642 Update nginx

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 16 Jan 2020 20:03:51 +0300

yandex-solomon-nginx-bin (1.15.1-3797291) unstable; urgency=low

  * r3797291 new nginx version

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 05 Jul 2018 18:16:39 +0300

yandex-solomon-nginx-bin (1.13.9-3567058.trunk) unstable; urgency=low

  * r3567058 add http_mirror_module

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Wed, 25 Apr 2018 15:02:43 +0300

yandex-solomon-nginx-bin (1.10.3-2768957) unstable; urgency=low

  * r2768957 Add temp-path dir

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 16 Mar 2017 19:21:45 +0300

yandex-solomon-nginx-bin (1.10.3-2768791) unstable; urgency=low

  * r2768791 Do not forget to update Last Changed Rev

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 16 Mar 2017 18:24:42 +0300

yandex-solomon-nginx-bin (1.10.3-2768286) unstable; urgency=low

  * r2768286 Initial commit

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 16 Mar 2017 16:45:44 +0300

=== yandex-solomon-sysmond/debian/changelog ===
yandex-solomon-sysmond (1:8.6) unstable; urgency=medium

  * Support 'mount' parameter to select only subset of moutpoints
    (SOLOMON-7654)

 -- Sergey Polovko <jamel@yandex-team.ru>  Tue, 28 Sep 2021 18:47:47 +0300

yandex-solomon-sysmond (1:8.5) unstable; urgency=medium

    * Add inode metrics. Update porto.
    * Get system_metrics from inside docker container
    * Add StealTime, GuestTime, GuestNiceTime
    * Self is inside container mount namespace
    * Fix a bug in path update condition
    * Add mlock_usage sensor to solomon

 -- Sergey Polovko <jamel@yandex-team.ru>  Thu, 25 Feb 2021 11:52:18 +0300

yandex-solomon-sysmond (1:8.4) unstable; urgency=medium

  * Add OomKillsTotal to porto metrics (SOLOMON-5903)

 -- Sergey Polovko <jamel@yandex-team.ru>  Sat, 15 Aug 2020 16:35:02 +0300

yandex-solomon-sysmond (1:8.3) unstable; urgency=medium

  * Add porto metrics about CPU/memory limits & guarantees

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Tue, 28 Jan 2019 10:45:59 +0300

yandex-solomon-sysmond (1:8.2) unstable; urgency=medium

  * Allow filtering network interfaces by using net.intf argument in query (SOLOMON-4979)

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 02 Dec 2019 10:10:59 +0300

yandex-solomon-sysmond (1:8.1) unstable; urgency=medium

  * Allow gathering metrics from porto volumes (SOLOMON-3415)
  * Add ReadWaitMillisecAvg metric (SOLOMON-4205)

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Wed, 13 Sep 2019 16:10:59 +0300

yandex-solomon-sysmond (1:8.0) unstable; urgency=medium

  * Fix possible crash;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Fri, 06 Sep 2019 16:30:59 +0300

yandex-solomon-sysmond (1:7.9) unstable; urgency=medium

  * Add the /self handle serving sysmond process metrics (SOLOMON-4611) 

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Fri, 06 Sep 2019 11:30:59 +0300

yandex-solomon-sysmond (1:7.8) unstable; urgency=medium

  * Fix disk IO parsing when in porto mode (SOLOMON-4578)

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Fri, 30 Aug 2019 18:30:59 +0300

yandex-solomon-sysmond (1:7.7) unstable; urgency=medium

  * Use musl to avoid dependencies on system specific libs
  * Rename binary salmon-sysmond -> solomon-sysmond
  * Drop dependency on yandex-search-user-salmon package
  * Simplify upstart config

 -- Sergey Polovko <jamel@yandex-team.ru>  Wed, 31 Jul 2019 12:12:42 +0300

yandex-solomon-sysmond (1:7.6) unstable; urgency=medium

  * Drop After option in systemd unit configuration

 -- Sergey Polovko <jamel@yandex-team.ru>  Wed, 31 Jul 2019 11:37:50 +0300

yandex-solomon-sysmond (1:7.5) unstable; urgency=medium

  * Allow using porto=1 and porto.containerized=1 at the same time (SOLOMON-4358);

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Wed, 10 Jul 2019 15:30:59 +0300

yandex-solomon-sysmond (1:7.4) unstable; urgency=medium

  * add additional cpu/io/net metrics to solomon-porto lib

 -- Sergey Polovko <jamel@yandex-team.ru>  Fri, 05 Jul 2019 14:54:59 +0300

yandex-solomon-sysmond (1:7.3) unstable; urgency=medium

  * Fix possible crash (SOLOMON-4223)

 -- Sergey Polovko <jamel@yandex-team.ru>  Mon, 20 May 2019 10:11:42 +0300

yandex-solomon-sysmond (1:7.2) unstable; urgency=medium

  * 1m, 5m and 15m load average
  * support nvme disks

 -- Sergey Polovko <jamel@yandex-team.ru>  Mon, 20 May 2019 10:11:42 +0300

yandex-solomon-sysmond (1:7.1) unstable; urgency=medium

  * Actually start collector
  * Added anon_usage, anon_max_usage, cache_usage to sysmon sensors

 -- Sergey Polovko <jamel@yandex-team.ru>  Fri, 05 Apr 2019 23:01:53 +0300

yandex-solomon-sysmond (1:7.0) unstable; urgency=medium

  * Fix calculation of IO service time (SOLOMON-3817);
  * Gather system info in a background thread instead of on-demand;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Wed, 03 Apr 2019 12:45:00 +0300

yandex-solomon-sysmond (1:6.0) unstable; urgency=medium

  * Fix TxErr and TxDrop sensors from the system module (CLOUD-18869);

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Mon, 04 Mar 2019 12:45:00 +0300

yandex-solomon-sysmond (1:5.0) unstable; urgency=medium

  * Collect info from /proc/stat for every CPU core with a new label cpu=N;

 -- Ivan Zhukov <ivanzhukov@solomon-dev-myt-00.search.yandex.net>  Thu, 22 Nov 2018 20:06:54 +0300

yandex-solomon-sysmond (1:4.0) unstable; urgency=medium

  * Filter out porto volumes when gathering overall system info;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 09 Aug 2018 18:15:00 +0300

yandex-solomon-sysmond (1:3.0) unstable; urgency=medium

  * Allow /pbbin?format={TEXT,JSON};
  * Remove /pbjson;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 09 Aug 2018 14:45:00 +0300

yandex-solomon-sysmond (1:2.0) unstable; urgency=medium

  * Respect 'accept-encoding' header while choosing compression codec;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 09 Aug 2018 13:45:00 +0300

yandex-solomon-sysmond (1:1.0) unstable; urgency=medium

  * Always write `self` as the value of the `name` label in containerized mode;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 09 Aug 2018 11:00:00 +0300

=== co2/debian/control ===
Source: yandex-solomon-co2
Maintainer: Maksim Leonov <nohttp@yandex-team.ru>
Build-Depends: debhelper
Description: https://wiki.yandex-team.ru/solomon/

Package: yandex-solomon-co2
Depends: yandex-openjdk11
Architecture: all
Description: https://wiki.yandex-team.ru/solomon/

=== mega-graphite-web/debian/control ===
Source: mega-graphite-web
Section: misc
Priority: extra
Maintainer: Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0), cdbs
Standards-Version: 3.9.3
Homepage: https://github.yandex-team.ru/graphite/graphite-web/tree/clickhouse

Package: mega-graphite-web
Architecture: all
Depends: python-cairo, 
 python-tz, 
 python-pyparsing, 
 python-django-1.4 | python-django (>= 1.4) | python-django-1.6, 
 python-django-tagging, 
 python-mysqldb, 
 python-flup,
 python-django-yauth, 
 python-httplib2, 
 python-memcached,
 python-pylibmc,
 python-django-replicated,
 python-requests
Description: graph system uses stockpile
 New graph system uses stockpile

=== ps-graphite-client-conf/debian/control ===
Source: ps-graphite-client-conf
Section: misc
Priority: extra
Maintainer: Maksim Leonov <nohttp@yandex-team.ru>
Build-Depends: cdbs, debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Vcs-Svn: svn+ssh://arcadia.yandex.ru/arc/trunk/arcadia/solomon/graphite/client-config/ps/ps-graphite-client-conf
Vcs-Browser: https://a.yandex-team.ru/arc/trunk/arcadia/solomon/graphite/client-config/ps/ps-graphite-client-conf

Package: ps-graphite-client-conf
Architecture: all
Depends: yabs-graphite-client, yabs-graphite-sender (>= 0.1.77)
Conflicts: cs-graphite-client-conf
Description:  Graphite client configuration for ps-graphite cluster
 Graphite client configuration for ps-graphite cluster

=== yandex-solomon-bind-exporter-bin/yandex-solomon-bind-exporter-bin/debian/control ===
Source: yandex-solomon-bind-exporter-bin
Section: misc
Priority: optional
Maintainer: Kirill Nuzhdin <knuzhdin@yandex-team.ru>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://www.yandex.ru

Package: yandex-solomon-bind-exporter-bin
Section: misc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Package for solomon servers, installs bind-exporter
  Package for solomon servers, installs bind-exporter

=== yandex-solomon-jaeger-bin/yandex-solomon-jaeger-bin/debian/control ===
Source: yandex-solomon-jaeger-bin
Section: misc
Priority: optional
Maintainer: Kirill Nuzhdin <knuzhdin@yandex-team.ru>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://www.yandex.ru

Package: yandex-solomon-jaeger-bin
Section: misc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Package for tracing servers, installs jaeger binaries
  Package for tracing servers, installs jaeger binaries

=== yandex-solomon-nginx-bin/yandex-solomon-nginx-bin/debian/control ===
Source: yandex-solomon-nginx-bin
Section: misc
Priority: optional
Maintainer: Kirill Nuzhdin <knuzhdin@yandex-team.ru>
Build-Depends: debhelper (>= 7), perl
Standards-Version: 3.9.3
Homepage: http://www.yandex.ru

Package: yandex-solomon-nginx-bin
Section: misc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Package for solomon servers, installs nginx binary
  Package for solomon servers, installs nginx binary

=== co2/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	./dist.sh

override_db_builddeb:
	dh_builddeb -- -Znone

override_dh_lintian:

override_dh_installinit:
	dh_installinit --error-handler=true

# vim: set ts=8 sw=8 noet:

=== mega-graphite-web/debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport
DEB_PYTHON_INSTALL_ARGS_ALL += --install-layout=deb

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

=== yandex-solomon-bind-exporter-bin/yandex-solomon-bind-exporter-bin/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
PACKAGE=$(shell dh_listpackages)
TMP=$(CURDIR)/debian/$(PACKAGE)

build: 
	$(CURDIR)/debian/build build

build-arch:
	#Nothing to do

build-indep:
	#Nothing to do

install:
	$(CURDIR)/debian/build install
	dh_testdir
	dh_testroot
	dh_prep
	dh_install --list-missing 
	dh_link

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_builddeb

binary-arch:
	#Nothing to do

binary: binary-indep binary-arch
	rm -rf $(TMP)
	rm -f $(TMP).debhelper.log
	rm -f $(TMP).substvars
	$(CURDIR)/debian/build clean

clean:
	dh_clean
